Version selector broken?

2
With the install of the new modeler 5.3.1 came a new version selector install. Now when I open a .mpr, I get an error stating: Problem: Wrong command line parameter specified. Usage: Modeler.exe [OPTIONS] Options: --file=VALUE Open the Modeler that corresponds to the version of this file. --url=VALUE Open the Modeler that corresponds to the version specified in the url. A re-install of the version selector did not work.
asked
4 answers
1

Can you check something for me in the registry (regedit.exe)?

At this key

HKEY_LOCAL_MACHINE\SOFTWARE\Classes\Mendix Version Selector\shell\open\command

there should be an entry called (Default) with the following value:

"C:\Program Files (x86)\Mendix\Version Selector\VersionSelector.exe" "/file:%1"

If it is not there, you can try uninstalling the Mendix Version Selector and then installing 5.3.1 again. Hopefully, this will restore the registry to the correct state.

By the way, the "Usage" text is confusing because it talks about Modeler.exe but it is actually the VersionSelector.exe that is being called with wrong parameters. I will fix this.

answered
0

Fixed it: First I tried uninstalling the version installer and repairing the 5.3.1 install. The repair doesn't re-install the version selector. Next: Uninstalling 5.3.1 and re-installing. Now the version selector was also re-installed, but again with the same result: broken version selector. The problem is the version selector with 5.3.1 adds other keys in the registry than the one with 5.2.0. See answer of Arjan van IJzendoorn. Sollution: ->Install 5.3.1 ->Uninstall version selector and 5.2.0 ->Re-install 5.2.0 with version selector

This way the version selector of the 5.2.0 package gets installed and not overwritten with the 5.3.1 version.

Can Mendix add the version selector as stand-alone installer from the app store?

answered
0

Just installed Mendix 5.4.1

It broke the version selector again. Same error message as in this original post.

Again the question Can Mendix add the version selector as stand-alone installer from the app store?

answered
0

The version selector does a number of things:

  • Double clicking a project file (.mpr) opens the Modeler of the right version.
  • Double clicking a project package (.mpk), extract the package and then opens the Modeler of the right version.
  • Following special links from home.mendix.com will open the Modeler version specified in the URL and then open the project there.

Which behavior are we talking about? I can imagine that the link format changed somewhere along the line and you cannot use that anymore. However, the basic functionality (first two points) should work for all Modeler versions with the latest version selector.

answered